package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag996;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT996Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT996Creator mt996Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt996Creator = (MT996Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt996Creator.getMtDateTag11a();
        mt996Creator.set("11S", tag11aValue);
    }
}
